<?php
//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Expired Date',1,0,'C',true);
		$this->Cell(20,6,'Status',1,0,'C',true);
		$this->Cell(90,6,'Member Name',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		$this->Cell(30,6,'Balance',1,0,'C',true);
		$this->Ln(7);
	}

	function namacabang($cabang){
		global $font;
		$this->SetFont("$font",'B',0);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$cabang,0,0,'',true);
		$this->Ln(5);
	}

	function namapelanggan($pelanggan){
		global $font;
		$this->SetFont("$font",'I',0);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$pelanggan,0,0,'',true);
		$this->Ln(5);
	}

	function Isi ($col1,$col2,$col3,$col4,$col5){
		global $font;
		$this->SetFont("$font",'',0);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,4,$col1,0,0,'',true);
		$this->Cell(20,4,$col2,0,0,'C',true);
		$this->Cell(90,4,$col3,0,0,'',true);
		$this->Cell(30,4,$col4,0,0,'',true);
		$this->Cell(30,4,$col5,0,0,'R',true);
		$this->Ln(5);
	}

	function subtotal ($sub){
		global $font;
		$this->SetFont("$font",'B',0);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(140,5,'Subtotal',1,0,'C',true);
		$this->Cell(30,5,$sub,1,0,'R',true);
		$this->Ln(6);
	}

	function total ($tot){
		global $font;
		$this->SetFont("$font",'B',0);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(160,6,'Total',1,0,'C',true);
		$this->Cell(30,6,$tot,1,0,'R',true);
		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
if ( isset($_POST['seluruh']) ) {
	$wherecond = "DATE(Non_Aktif) <= now() AND Non_Aktif != '0000-00-00'";
	$detail = 'For All';
} else {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$wherecond = "YEAR(Non_Aktif) = '$tahun' AND MONTH(Non_Aktif) = '$bulan'";
}

if ( $wherecond != "" ){
	$wherecond = " WHERE " . $wherecond;
}

// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Expired Member Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');
$pdf->AliasNbPages();
$pdf->AddPage('P','A4');
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$total = array();
//get database
$perintahdb = "SELECT ID FROM tblpelang $wherecond";
$sqlquery = DBQuery( $perintahdb );
while ( ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) ) {
	$whereid = "WHERE tblmutasi.PelangID = " . $sqlrow['ID'];
	$select = "SELECT tblpelang.Non_Aktif AS Non_Aktif, tblpelang.Nama AS Nama, tblcabang.NamaCabang AS NamaCabang, SUM(tblmutasi.Debet) AS Debet, SUM(tblmutasi.Kredit) AS Kredit";
	$perintahdb2 = "$select FROM tblpelang INNER JOIN tblcabang ON tblpelang.KodeCabang = tblcabang.KodeCabang INNER JOIN tblmutasi ON tblpelang.ID = tblmutasi.PelangID $whereid";
	$sqlquery2 = DBQuery( $perintahdb2 );
	while ( ( $sqlrow2 = @DBFetchAssoc( $sqlquery2 ) ) ) {
		$sisasaldo = $sqlrow2['Debet'] - $sqlrow2['Kredit'];
		if ($sqlrow2['Non_Aktif'] <= date ('Y-m-d')){
			$status = "Expired";
		} else {
			$status = "Active";
		}
		if ($sqlrow2['Non_Aktif'] == '0000-00-00'){
			$status = "Unlimited";
		}
		$pdf->Isi( @Date2JQueryDate($sqlrow2['Non_Aktif']), $status, $sqlrow2['Nama'], $sqlrow2['NamaCabang'], @ShowFormatDigitNumber($sisasaldo));
		$total[] = $sisasaldo;
		$sisasaldo = 0;	
	}
}
$pdf->total(  @ShowFormatDigitNumber(array_sum($total)));

$pdf->Output('Expired Member Report ' . $detail .'.pdf','I');
?>